Package classycle.ant

# Class ReportTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
classycle.ant.ClassycleTask
classycle.ant.ReportTask

All Implemented Interfaces:
  `Cloneable`

public class ReportTask extends ClassycleTask
Ant Task for creating a Classycle Analyser report, either raw, CSV, or XML.

Attribute | Description | Required
--- | --- | ---
reportFile | Path of the report file. It is either absolute or relative to the base directory. | Yes
reportType | Type of the report. Has to be either `raw`, `csv`, or `xml`. | No. Default is `xml`
title | Title of the XML report. | No. Default is the first file in the file set.
packagesOnly | If `true` only packages and their dependencies are analysed and reported (only in XML report). | No. Default is `false`.
includingClasses | Comma or space separated list of wild-card patterns of fully-qualified class name which are included in the analysis. Only '*' are recognized as wild-card character. | No. By default all classes defined in the file set are included.
excludingClasses | Comma or space separated list of wild-card patterns of fully-qualified class name which are excluded from the analysis. Only '*' are recognized as wild-card character. | No. By default no class defined in the file set is excluded.
mergeInnerClasses | If `true` all class vertices are merged with the vertices of the corresponding inner classes. | No. Default is `false`.

reflectionPattern

Comma or space separated list of wild-card patterns of fully-qualified class name. Only '*' are recognized as wild-card character.

If in the code of a class an ordinary string constant matches one of these patterns and if this string constant has a valid syntax for a fully-qualified class name this constant will be treated as a class reference.

No. By default ordinary string constants are not treated as class references.

Author:
  Boris Gruschko, Franz-Josef Elmer

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_CSV`
`static final String`
`TYPE_RAW`
`static final String`
`TYPE_XML`

### Fields inherited from class classycle.ant.ClassycleTask

`_reportFile`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`ReportTask()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`
`void`
`setPackagesOnly(boolean packagesOnly)`
`void`
`setReportType(String csvFile)`
`void`
`setTitle(String title)`

### Methods inherited from class classycle.ant.ClassycleTask

`add, getClassFileNames, getPattern, getReflectionPattern, isMergeInnerClasses, setExcludingClasses, setIncludingClasses, setMergeInnerClasses, setReflectionPattern, setReportFile`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_RAW

public static final String TYPE_RAW

See Also:
  - Constant Field Values

### TYPE_CSV

public static final String TYPE_CSV

See Also:
  - Constant Field Values

### TYPE_XML

public static final String TYPE_XML

See Also:
  - Constant Field Values

## Constructor Details

### ReportTask

public ReportTask()

## Method Details

### setPackagesOnly

public void setPackagesOnly(boolean packagesOnly)

### setReportType

public void setReportType(String csvFile)

### setTitle

public void setTitle(String title)

### execute

public void execute() throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `ClassycleTask`
Throws:
  `org.apache.tools.ant.BuildException`